Bug 1663175 - Illegal instruction on Xeon E5 v2
Summary: Illegal instruction on Xeon E5 v2
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rocksdb
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-03 11:23 UTC by Tom Paynter
Modified: 2019-11-27 20:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:33:34 UTC


Attachments (Terms of Use)

Description Tom Paynter 2019-01-03 11:23:25 UTC
rocksdb-5.7.3-3.fc29.x86_64
rocksdb-devel-5.7.3-3.fc29.x86_64

This library always fails on a 'Intel(R) Xeon(R) CPU E5-2640 v2' with an Illegal instruction.

The following line from GDB shows it using the 'Shift logical left without affecting flags' instruction:
0x7ffff6fa4471 <_ZN7rocksdb8LRUCacheC2Emibd+33>         shlx   %ebx,%r15d,%r15d

I believe this is part of the BMI2 instruction set available on Xeon E5 v3 and later CPU's:
https://en.wikipedia.org/wiki/Bit_Manipulation_Instruction_Sets#BMI2_(Bit_Manipulation_Instruction_Set_2)

This could possibly be fixed with the following flag:
PORTABLE=1
See:
https://github.com/facebook/rocksdb/issues/692

I will build locally and update the bug with results.

Comment 1 Tom Paynter 2019-01-03 13:18:52 UTC
I can confirm that I have built this locally and it works correctly, I don't have a more recent machine to test the PORTABLE=1 option on.

Comment 2 Ben Cotton 2019-10-31 20:13:53 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 20:33:34 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.